
/*  Inicio Creacion de tablas */

SET ECHO OFF;

/*

T_FACTURA(NRO,FECHA,MONTO,NITEMS)
	PK(NRO)
T_DETALLE(NRO,IDART,CANTIDAD,PRECIO)
	PK(NRO,IDART)
	FK NRO -> T_FACTURA

*/

CREATE TABLE T_FACTURA ( 
   NRO    INTEGER NOT NULL ,
   FECHA  DATE NOT NULL ,
   MONTO  DOUBLE PRECISION NOT NULL , 
   NITEMS INTEGER NOT NULL ,
   CONSTRAINT PK_T_FACTURA PRIMARY KEY (NRO)
);

CREATE TABLE T_DETALLE ( 
   NRO      INTEGER NOT NULL ,
   IDART    INTEGER NOT NULL ,
   CANTIDAD INTEGER NOT NULL ,
   PRECIO   DOUBLE PRECISION NOT NULL ,
   CONSTRAINT PK_T_DETALLE          PRIMARY KEY (NRO,IDART) ,
   CONSTRAINT FK_T_FACTURA FOREIGN KEY (NRO) REFERENCES T_FACTURA
);

SHOW TABLE T_FACTURA;
SHOW TABLE T_DETALLE;

SET ECHO ON;

/*  Fin Creacion de tablas */
