#!/bin/bash
# ==========================================================
# UNLu
# Departamento de Ciencias Basicas
# Division Estadistica y Sistemas
# Licenciatura en Sistemas de Informacion
# 11411 - Base de Datos
# ==========================================================
#
# Descripcion:
# Script de ejecucion de scripts dml 
# Debe existir un path a isql.exe
# Parametros:
# ==========================================================
# $1 indica usuario administrador
# $2 indica pwd     usuario administrador
# $3 indica bd a utilizar ([server:] + path + filename)
# $4 indica rol de usuario administrador
# $5 indica el script a ejecutar path+filename relativo a 
#    carpeta \scripts\dml
# ==========================================================
#
# G.Cherencio  implementacion en linux de rundml.bat
#                      agregado de indicacion de rol de usuario
# ==========================================================
#
if [ $# -ne 5 ]; then
    FILE=$0
    if [ -f "$FILE" ]; then 
        cat $FILE.txt
    fi
else
    FILENAME=$(echo $5 | awk -F/ '{print $NF}')
    FILE='../logs/'$FILENAME'.txt'
    if [ -f "$FILE" ]; then
        if [ -w "$FILE" ]; then
            rm "$FILE" > /dev/null
        fi
    fi
    cd ../scripts/dml > /dev/null
    isql-fb -u $1 -p $2 -r $4 -i $5 -o ../$FILE -m $3
    cd ../../bin > /dev/null
    nano $FILE

fi
