#!/bin/bash
# ==========================================================
# UNLu
# Departamento de Ciencias Basicas
# Division Estadistica y Sistemas
# Licenciatura en Sistemas de Informacion
# 11411 - Base de Datos
# ==========================================================
#
# Descripcion:
# Script para ver datos de b.d.
# Debe estar instalado isql-fb 
# Parametros:
# ==========================================================
# $1 indica usuario administrador
# $2 indica pwd     usuario administrador
# $3 indica bd a utilizar ([server:] + path + filename)
# $4 indica rol usuario administrador
# ==========================================================
#
# Ariel Condo
# Ezequiel Chan
# Tomas Delvechio
#
# Integrantes del Grupo de Usuarios de Software Libre de la
# Universidad Nacional de Luján :: UNLUX ::
# ==========================================================
# G.Cherencio agregado de rol
# ==========================================================

if [ $# -ne 4 ]; then
    FILE=$0
    if [ -f "$FILE" ]; then 
        cat $FILE.txt
    fi
else
    FILE='../logs/show.txt'
    if [ -f "$FILE" ]; then
        if [ -w "$FILE" ]; then
            rm "$FILE" > /dev/null
        fi
    fi
    isql-fb -u $1 -p $2 -r $4  -i ../scripts/dml/show.sql -o $FILE -m $3 > $FILE 2>&1
    nano $FILE
fi

