#!/bin/bash
# ==========================================================
# UNLu
# Departamento de Ciencias Basicas
# Division Estadistica y Sistemas
# Licenciatura en Sistemas de Informacion
# 11411 - Base de Datos
# ==========================================================
#
# Descripcion:
# Script para abrir sesion con b.d. 
# Debe estar instalado isql-fb 
# Parametros:
# ==========================================================
# $1 indica usuario administrador
# $2 indica pwd     usuario administrador
# $3 indica bd a utilizar ([server:] + path + filename)
# $4 indica el rol a utilizar
# ==========================================================
#
# Ariel Condo
# Ezequiel Chan
# Tomas Delvechio
#
# Integrantes del Grupo de Usuarios de Software Libre de la
# Universidad Nacional de Luján :: UNLUX ::
# ==========================================================
if [ $# -ne 4 ]; then
    FILE=$0
    if [ -f "$FILE" ]; then 
        cat $FILE.txt
    fi
else
    isql-fb -u $1 -p $2 $3 -r $4
fi

