SET ECHO ON;
/*
UNLu
Departamento de Ciencias Basicas
Division Estadistica y Sistemas
Licenciatura en Sistemas de Informacion
11411 - Base de Datos
Lic. Guillermo Cherencio

PREFIJO			OBJETO
DOM_			Dominio
GN_			Generator
T_   			Tablas
IDX_			Indice
V_			Views
P_			Procedure
TRG_			Trigger
EX_			Exception
PK_<tabla>		Primary Key constraint
CK_			Check constraint
AK_			Unique constraint
FK_			Foreign Key constraint

*/
SET ECHO OFF;
SET AUTODDL ON;
SET ECHO ON;
/* Inicio Script Implementacion de Entidad Fuerte - Entidad Debil
   con discriminador correlativo
   Bajo enfoque el usuario y las apps NO acceden directamente a las
   tablas y vistas, sino que lo hacen a traves de store procedures
   ATENCION! se quito la clausula de borrado en cascada de los ejemplares,
   sino, en tal caso, la implementacion es identica a debil2, requeriria
   la tabla auxiliar t_libro_aux
 */
/* Seteos iniciales de isql: */
SET;
/* Conectado a Base de Datos: */
SET ECHO OFF;
SHOW DATABASE;
SET ECHO ON;
    INPUT ddl/drop/trigger.sql;
         INPUT ddl/drop/exception.sql;
                     INPUT ddl/drop/table.sql;
                     INPUT ddl/create/table.sql;
         INPUT ddl/create/exception.sql;
    INPUT ddl/create/trigger.sql;
COMMIT;

/* Datos */
    INPUT dml/data1.sql;

/* 
 Fin Script Implementacion de Entidad Fuerte - Entidad Debil
 Salgo haciendo COMMIT de los cambios 
================================
UNLu
Departamento de Ciencias Basicas
Division Estadistica y Sistemas
Licenciatura en Sistemas de Informacion
11411 - Base de Datos
Lic. Guillermo Cherencio 
================================
*/
EXIT; 

