
/*  Inicio Creacion de tablas */

SET ECHO OFF;

/*

T_LIBRO(ISBN,TITULO)
	PK(ISBN)
T_EJEMPLAR(ISBN,NRO)
	PK(ISBN,NRO)
	FK ISBN -> T_LIBRO

*/

CREATE TABLE T_LIBRO ( 
   ISBN   CHAR(15) NOT NULL ,
   TITULO VARCHAR(50) NOT NULL ,
   NEJ    INTEGER NOT NULL ,
   CONSTRAINT PK_T_LIBRO PRIMARY KEY (ISBN)
);

CREATE TABLE T_EJEMPLAR ( 
   ISBN   CHAR(15) NOT NULL ,
   NRO    INTEGER NOT NULL , 
   CONSTRAINT PK_T_EJEMPLAR PRIMARY KEY (ISBN,NRO) ,
   CONSTRAINT FK_T_EJEMPLAR_LIBRO FOREIGN KEY (ISBN) REFERENCES T_LIBRO
);


SHOW TABLE T_LIBRO;
SHOW TABLE T_EJEMPLAR;

SET ECHO ON;

/*  Fin Creacion de tablas */
